/* ARCADEmini simulator (unix, console)
 * version 0.6 date 2003-09-08
 * part of the ARCADEmini project - http[s]://arcademini.schuermans.info/
 * Copyright (C) 2003 sphaera <sphaera@geekness.de>
 *                and 1stein <1stein@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#include <stdio.h>

#define pixel_size_x 3
#define pixel_size_y 2

char display_pixelchars[0x10] =
  { ' ', ' ', '-', '-', '+', '+', '%', '%', '*', '*', '&', '&', '@', '@', '#', '#' };

//display an ARCADEmini picture
void display_picture( unsigned char (* picture)[26] )
{
  unsigned char x, y, xx, yy;
  fputs( "\x01B[1;1H", stdout );
  for( y = 0; y < 20; y++ )
  {
    for( yy = 0; yy < pixel_size_y; yy++ )
    {
      for( x = 0; x < 26; x++ )
      {
         for( xx = 0; xx < pixel_size_x; xx++ )
          fputc( display_pixelchars[picture[y][x] & 0x0F], stdout );
      }
      fputc( '\n', stdout );
    }
  }
}

